DefaultHandler
Keywords: com.icl.saxon.aelfred.DefaultHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.aelfred
Class DefaultHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.icl.saxon.aelfred.DefaultHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

public class DefaultHandler
extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ext.LexicalHandler, org.xml.sax.ext.DeclHandler

This class extends the SAX base handler class to support the SAX2 Lexical and Declaration handlers. All the handler methods do is return; except that the SAX base class handles fatal errors by throwing an exception.

Constructor Summary
`DefaultHandler()` Constructs a handler which ignores all parsing events.

Method Summary
`void` | `attributeDecl(java.lang.String element, java.lang.String name, java.lang.String type, java.lang.String defaultType, java.lang.String defaltValue)` SAX2: called on attribute declarations
`void` | `comment(char[] buf, int off, int len)` SAX2: called when comments are parsed
`void` | `elementDecl(java.lang.String name, java.lang.String model)` SAX2: called on element declarations
`void` | `endCDATA()` SAX2: called after parsing CDATA characters
`void` | `endDTD()` SAX2: called after the doctype is parsed
`void` | `endEntity(java.lang.String name)` SAX2: called after parsing a general entity in content
`void` | `externalEntityDecl(java.lang.String name, java.lang.String pubid, java.lang.String sysid)` SAX2: called on external entity declarations
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` SAX2: called on internal entity declarations
`void` | `startCDATA()` SAX2: called before parsing CDATA characters
`void` | `startDTD(java.lang.String root, java.lang.String pubid, java.lang.String sysid)` SAX2: called when the doctype is partially parsed
`void` | `startEntity(java.lang.String name)` SAX2: called before parsing a general entity in content

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHandler

    public DefaultHandler()

  Constructs a handler which ignores all parsing events.

Method Detail

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  SAX2: called before parsing CDATA characters

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  SAX2: called after parsing CDATA characters

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public void startDTD(java.lang.String root,
                         java.lang.String pubid,
                         java.lang.String sysid)
                  throws org.xml.sax.SAXException

  SAX2: called when the doctype is partially parsed

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  SAX2: called after the doctype is parsed

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  SAX2: called before parsing a general entity in content

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  SAX2: called after parsing a general entity in content

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] buf,
                        int off,
                        int len)
                 throws org.xml.sax.SAXException

  SAX2: called when comments are parsed

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### attributeDecl

    public void attributeDecl(java.lang.String element,
                              java.lang.String name,
                              java.lang.String type,
                              java.lang.String defaultType,
                              java.lang.String defaltValue)
                       throws org.xml.sax.SAXException

  SAX2: called on attribute declarations

  Specified by:
    `attributeDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String model)
                     throws org.xml.sax.SAXException

  SAX2: called on element declarations

  Specified by:
    `elementDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String pubid,
                                   java.lang.String sysid)
                            throws org.xml.sax.SAXException

  SAX2: called on external entity declarations

  Specified by:
    `externalEntityDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)
                            throws org.xml.sax.SAXException

  SAX2: called on internal entity declarations

  Specified by:
    `internalEntityDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD